Get the SIP connector server assigned to your account
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/sip_server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"assigned": true,
"ip": "<string>",
"region": "<string>",
"port": 123,
"status": true
}
}PBX Extension Connectors
Get the SIP connector server assigned to your account
Returns the SIP connector server currently allocated to your account. You need one allocated before any PBX extension connector can be created — connectors are pushed to that server. If assigned is false (no server has ever been allocated for you), call POST /api/v1/pbx_extension_connectors/sip_server first to have one assigned, then create your connectors.
GET
/
api
/
v1
/
pbx_extension_connectors
/
sip_server
Get the SIP connector server assigned to your account
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
